# dcop Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DCOPArg Class Reference

A generic DCOP argument. More...

`#include <dcopref.h>`

Collaboration diagram for DCOPArg:

[legend]
List of all members.

## Public Member Functions

template<class T> | DCOPArg (const T &t, const char *tname_arg)
| Creates a DCOPArg for DCOPRef::call().
template<class T> | DCOPArg (const T &t)
| Creates a DCOPArg for DCOPRef::call().

## Public Attributes

QByteArray | data
| The serialized data.
const char * | tname
| The signature type name of the data.

## Detailed Description

A generic DCOP argument.

This class allows you to use user-defined argument types for DCOPRef::call() or DCOPRef::send().

See also:
  DCOPRef::call()

  DCOPRef

  DCOPReply

Since:
  3.1

Definition at line 120 of file dcopref.h.

## Constructor & Destructor Documentation

template<class T>
DCOPArg::DCOPArg | ( | const T & | t,
|  | const char * | tname_arg
| ) | `[inline]`

Creates a DCOPArg for DCOPRef::call().

Parameters:

  t | the data that will be written to a QDataStream. It must overload writing to a QDataStream using the "<<" operator
  tname_arg | the name of the data that will appear in the function's signature

Definition at line 130 of file dcopref.h.

References data, and tname.

template<class T>
DCOPArg::DCOPArg | ( | const T & | t | ) | `[inline]`

Creates a DCOPArg for DCOPRef::call().

Parameters:

  t | the data that will be written to a QDataStream. It must overload writing to a QDataStream using the "<<" operator. The name of the type will be determined by calling the function dcopTypeName(T) that must be provided by you.

Definition at line 144 of file dcopref.h.

References data, and tname.

## Member Data Documentation

QByteArray DCOPArg::data

| The serialized data. Definition at line 152 of file dcopref.h. Referenced by DCOPArg().

const char* DCOPArg::tname

| The signature type name of the data. Definition at line 154 of file dcopref.h. Referenced by DCOPArg().

The documentation for this class was generated from the following file:

- dcopref.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:42:44 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001